Page MenuHomePhabricator

Identify what heuristics (principles) we will be evaluating against
Closed, ResolvedPublic

Description

Problem:

For the heuristic analysis we will need to identify what dimensions we will be focusing on for the study. We should combine the 10 Heuristics for User Interface by Jakob Nielsen with additional dimensions that we develop to meet the needs of this project.

Goal

This task is to define all of the heuristics and put them into the planning document.

Event Timeline

iamjessklein updated the task description. (Show Details)Aug 9 2018, 8:08 PM
Deskana triaged this task as Normal priority.Aug 10 2018, 10:42 AM
Deskana moved this task from Incoming to In progress on the VisualEditor (Current work) board.

I'm at a good place in drafting this document to start getting feedback.

I'd love feedback on the Planning Doc and Framework Handout from folks representing:

  • Design
  • Design-Research
  • Community
  • Engineering
  • Product

cc/
@Nirzar
@Whatamidoing-WMF
@aripstra
@Deskana
@edsu
@marcella
@Amire80

iamjessklein renamed this task from Identify what heuristics we will be evaluating to Identify what heuristics (principles) we will be evaluating against.Aug 13 2018, 4:58 PM
Amire80 updated the task description. (Show Details)Aug 13 2018, 5:02 PM

Update: everyone has agreed upon the general approach that I've presented and now we are at the stage where we are reviewing the individual items under each principle in the rubric.

Cirdan added a subscriber: Cirdan.Aug 20 2018, 7:28 PM
iamjessklein closed this task as Resolved.Sep 4 2018, 8:05 PM

This has been completed. The final list of heuristics can be seen directly in the form, or in this spreadsheet.